package com.arms.api.analysis.scope.model.dto;

import java.util.List;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class ScopeAggrDTO  {

	String startDate;

	String endDate;

	String reqId;

	PdServiceAndIsReqDTO pdServiceAndIsReq;

	public Long getPdServiceLink(){
		return pdServiceAndIsReq.getPdServiceId();
	}

	public List<Long> getPdServiceVersionLinks(){
		return pdServiceAndIsReq.getPdServiceVersions();
	}

	public Boolean getIsReq(){
		return pdServiceAndIsReq.getIsReq();
	}

}
